#!/usr/bin/python
# move-the-penguin
# 20090907
# By YuGiOhJCJ <yugiohjcj@1s.fr>
# http://yugiohjcj.1s.fr/
#
# -*- coding: UTF8 -*-

import sys
from tuxisalive.api import *

tux = TuxAPI('127.0.0.1', 270)
tux.server.autoConnect(CLIENT_LEVEL_RESTRICTED, 'move-the-penguin', 'NONE')
tux.server.waitConnected(10.0)
tux.dongle.waitConnected(10.0)
tux.radio.waitConnected(10.0)
if tux.access.waitAcquire(10.0, ACCESS_PRIORITY_NORMAL):
	tux.eyes.on(1,'OPEN')
	tux.mouth.on(1,'OPEN')
	tux.flippers.on(1,'UP',1)

	if len(sys.argv)>1:
		tux.tts.speak(sys.argv[1])
	
	tux.flippers.on(1,'DOWN',1)
	tux.mouth.on(1,'CLOSE')
	tux.eyes.on(1,'CLOSE')

tux.access.release()
tux.server.disconnect()
tux.destroy()
